Name:             perl-BSD-Resource
Version:          1.291.100
Release:          9
Summary:          BSD process resource limit and priority functions
License:          (LGPLv2 or Artistic 2.0) and (GPL+ or Artistic)
URL:              https://metacpan.org/release/BSD-Resource
Source0:          https://cpan.metacpan.org/authors/id/J/JH/JHI/BSD-Resource-1.2911.tar.gz
BuildRequires:    findutils  make  perl-interpreter  perl-devel  perl-generators  perl(Config)  perl(ExtUtils::MakeMaker) >= 6.76 gcc
BuildRequires:    perl(File::Basename)  perl(vars)  perl(AutoLoader)  perl(Carp)  perl(DynaLoader)
BuildRequires:    perl(Exporter)  perl(strict)  perl(Test::More)  perl(Test::Pod)  perl(Test::Pod::Coverage)
Requires:         perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%{?perl_default_filter}

%description
A module that provides an interface for setting and testing process limits and priorities.

%package help
Summary:          Help documentation for the perl-BSD-Resource

%description help
Help documentation for the perl-BSD-Resource.

%prep
%autosetup -n BSD-Resource-1.2911 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -a -size 0 |xargs -I % rm -f %
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/*

%files help
%doc ChangeLog README
%{_mandir}/man3/*

%changelog
* Tue Jun 15 2021 wulei <wulei80@huawei.com> - 1.291.100-9
- fixes failed: add buildrequire gcc

* Sun Dec 22 2019 likexin <likexin4@huawei.com> - 1.291.100-8
- package init
